### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-language-list/ecl-language-list-item.component.ts`

### Metadata

selector | `ecl-language-list-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-language-list-item.component.html`

### Index

###### Properties
Public el
###### Inputs
isActive languageCode languageLabel styleClass
###### Outputs
itemClick
###### HostBindings
class
###### HostListeners
click

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

isActive
Type : `boolean`

languageCode
Type : `string`

languageLabel
Type : `string`

styleClass
Type : `string`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### HostListeners

click
Arguments : `'$event'`
`click(evt: MouseEvent)`

### Properties

Public el
Type : `ElementRef`

# result-matching ""

# No results matching ""